import React, {useEffect} from 'react';
import {View, Image, Text, StyleSheet, TouchableOpacity} from 'react-native';
import {color_blue, color_orange_4} from '../assets/colors';
import ic_circle from '../assets/images/ic_circle.png';
import ic_game from '../assets/images/ic_game.png';
import img_complete from '../assets/images/img_complete.png';

export default (props) => {
  const {route, navigation} = props;

  console.log(11, route, navigation);
  // useEffect(() => {
  //   setTimeout(() => {
  //     if (route) {
  //       route.params?.nav.goBack();
  //     }
  //   }, 2000);
  // });

  const backToHome = () => {
    if (route) {
      route.params?.nav.goBack();
    }
  };

  return (
    <View style={styles.container}>
      <Image source={ic_circle} style={styles.icCircle} />
      <Image source={ic_game} style={styles.icGame} />
      <Image
        source={img_complete}
        style={styles.imgCenter}
        resizeMode="contain"
      />
      <Text style={styles.txtContent}>{route.params?.numberAnswer}</Text>
      <Text style={styles.txtCongratulation}>Chúc mừng bạn!</Text>
      <View style={styles.viewBtn}>
        <TouchableOpacity
          style={styles.btnShowAnswer}
          onPress={() => navigation.goBack()}>
          <Text style={styles.txtBtn}>Xem kết quả</Text>
        </TouchableOpacity>
        <TouchableOpacity
          style={styles.btnAgain}
          onPress={() => navigation.reset({routes: [{name: 'Home'}]})}>
          <Text style={[styles.txtBtn, {color: color_orange_4}]}>Làm lại</Text>
        </TouchableOpacity>
      </View>
      <TouchableOpacity style={styles.btnNext}>
        <Text style={styles.txtBtn}>Chơi tiếp</Text>
      </TouchableOpacity>
      <TouchableOpacity style={styles.btnHome} onPress={backToHome}>
        <Text style={[styles.txtBtn, {color: 'black'}]}>Trang chủ</Text>
      </TouchableOpacity>
    </View>
  );
};

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    alignItems: 'center',
    justifyContent: 'center',
  },
  imgCenter: {
    height: 250,
  },
  txtCongratulation: {
    color: '#1C20BF',
    fontSize: 48,
  },
  txtContent: {
    fontSize: 90,
    color: color_orange_4,
    lineHeight: 115,
    fontWeight: 'bold',
  },
  icCircle: {
    position: 'absolute',
    left: 0,
    top: '10%',
  },
  icGame: {
    position: 'absolute',
    right: 0,
    bottom: '15%',
  },
  viewBtn: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    marginVertical: 30,
  },
  btnAgain: {
    width: '20%',
    borderRadius: 20,
    borderWidth: 1,
    borderColor: color_orange_4,
    paddingVertical: 16,
    marginHorizontal: 16,
  },
  btnShowAnswer: {
    width: '20%',
    borderRadius: 20,
    backgroundColor: color_blue,
    paddingVertical: 16,
    marginHorizontal: 16,
  },
  txtBtn: {
    fontSize: 18,
    textAlign: 'center',
    color: 'white',
  },
  btnNext: {
    width: '15%',
    borderRadius: 20,
    backgroundColor: '#9EC3F0',
    paddingVertical: 16,
    position: 'absolute',
    right: 30,
    bottom: 30,
  },
  btnHome: {
    width: '15%',
    borderRadius: 20,
    borderWidth: 1,
    borderColor: 'black',
    paddingVertical: 16,
    position: 'absolute',
    left: 30,
    bottom: 30,
  },
});
