import React, {Component} from 'react';
import {
  Text,
  View,
  Button,
  TouchableOpacity,
  StyleSheet,
  TouchableHighlight,
} from 'react-native';
import {
  Player,
  Recorder,
  MediaStates,
} from '@react-native-community/audio-toolkit';
import Feather from 'react-native-vector-icons/Feather';
import FontAwesome from 'react-native-vector-icons/FontAwesome';

export default class AudioRecording extends Component {
  constructor() {
    super();
    this.state = {
      disabled: false,
    };
  }
  _onPress() {
    this.setState({disabled: true});

    let rec = new Recorder('filename.mp4').record();

    setTimeout(() => {
      rec.stop((err) => {
        new Player('filename.mp4').play().on('ended', () => {
          this.setState({disabled: false});
        });
      });
    }, 3000);
  }
  render() {
    return (
      <View style={styles.content}>
        <TouchableHighlight
          onPress={() => this._onPress()}
          style={styles.buttonRecord}>
          {this.state.disabled ? (
            <FontAwesome name="square" size={30} color="#fff" />
          ) : (
            <Feather name="mic" size={50} color="#fff" />
          )}
        </TouchableHighlight>
      </View>
    );
  }
}
const styles = StyleSheet.create({
  content: {
    marginTop: '5%',
    backgroundColor: '#718ac9',
    width: '100%',
    height: 250,
    alignItems: 'center',
    justifyContent: 'center',
  },
  buttonRecord: {
    backgroundColor: 'tomato',
    width: 100,
    height: 100,
    borderRadius: 50,
    alignItems: 'center',
    justifyContent: 'center',
  },
});
