import React, {Component} from 'react';
import {View, Text, Image, TouchableOpacity} from 'react-native';
import Slider from '@react-native-community/slider';
import {styles} from '../pages/start/view/style';
import {color_blue} from '../assets/colors';
import ic_play from '../assets/images/ic_play.png';
import ic_pause from '../assets/images/ic_pause.png';
import Sound from 'react-native-sound';

class player extends Component {
  constructor(props) {
    super(props);
    this.state = {
      currentProgress: 0,
      isPlay: false,
    };
  }

  componentDidMount = () => {};

  initSound = (link) => {
    const {keyPage, item, index} = this.props;
    if (this.sound) {
      this.sound.release();
    }
    this.sound = new Sound(link || item.value, null, (error) => {
      // this.props.player(this.sound);
      this.sound.play();
      // this.updateSlider();
    });
  };

  updateSlider = () => {
    // const {sound} = this.props;
    setInterval(() => {
      if (this.sound) {
        this.sound.getCurrentTime((seconds) => {
          let currentProgress = Math.max(0, seconds) / this.sound.getDuration();
          if (isNaN(currentProgress)) {
            currentProgress = 0;
          }
          this.setState({currentProgress});
        });
      }
    }, 100);
  };

  playSound = (link) => {
    this.initSound(link);
  };

  setPlayPause = (isPlay) => {
    this.setState({isPlay: isPlay});
  };

  render() {
    const {keyPage, index, sound} = this.props;
    const {isPlay} = this.state;

    return (
      <View style={styles.viewPlayer}>
        {/* <View style={styles.viewDuration}>
          <Text>{this.state.currentProgress}</Text>
          <Text>{this.duration}</Text>
        </View> */}
        <View style={{width: '90%'}}>
          <Slider
            step={0.1}
            disabled={false}
            value={this.state.currentProgress}
            minimumTrackTintColor={color_blue}
            maximumTrackTintColor="#FFFFFF"
          />
        </View>
        <TouchableOpacity
          onPress={() => {
            if (this.sound) {
              // if (isPlay) {
              this.sound.play();
              // } else {
              //   sound.stop();
              // }
            }
          }}>
          <Image
            source={isPlay ? ic_play : ic_pause}
            style={styles.iconPlayPause}
          />
        </TouchableOpacity>
      </View>
    );
  }
}

export default player;
