import React, {useState} from 'react';
import {StyleSheet, View, TouchableOpacity, Text} from 'react-native';
import {onConfigurations} from '../../common/helper';
import DraggableFlatList from 'react-native-draggable-flatlist';
import Tags from '../../components/tag/Tags';

export default (props) => {
  const {item, dispatch} = props;
  let {configurations} = item;
  configurations = JSON.parse(configurations);
  const arrData = configurations.correct_answer;
  arrData.sort();
  const [data, setData] = useState(arrData);

  const onDragEnd = (data) => {
    let convertData = [];
    data.forEach((item) => {
      convertData.push(item.title);
    });
    onConfigurations(item, convertData, dispatch);
  };

  const renderItem = ({item, drag, isActive}) => {
    return (
      <TouchableOpacity
        style={[styles.item, {backgroundColor: isActive ? '#FDA429' : 'white'}]}
        onPressIn={drag}>
        <Text style={styles.text}>{item}</Text>
      </TouchableOpacity>
    );
  };

  return (
    // <View style={styles.configView}>
    <Tags tags={data} onDragRelease={(data) => onDragEnd(data)} />
    // </View>
  );
};

const styles = StyleSheet.create({
  configView: {
    height: 300,
  },
  text: {
    color: 'black',
    fontSize: 14,
  },
  item: {
    paddingVertical: 8,
    paddingHorizontal: 20,
    alignItems: 'center',
    justifyContent: 'center',
    marginHorizontal: 4,
    borderColor: '#FDA429',
    borderWidth: 2,
    borderRadius: 20,
    marginHorizontal: 5,
  },
});
