import React from 'react';
import {StyleSheet, View, TextInput, Dimensions, Text} from 'react-native';
import {onConfigurations} from '../../common/helper';
import SharePreference from '../../common/SharePreference';

export default (props) => {
  const {item, dispatch, isFinish} = props;
  const {configurations} = item;
  const {correct_answer} = JSON.parse(configurations);

  return (
    <View style={[styles.configView]}>
      <TextInput
        editable={isFinish ? false : true}
        autoFocus={false}
        placeholder="Type here..."
        style={styles.textInput}
        multiline={true}
        underlineColorAndroid="transparent"
        onChangeText={(text) => onConfigurations(item, text, dispatch)}
        autoCapitalize="none"
        returnKeyType="done"
      />
      {isFinish && (
        <Text style={styles.textAnswer}>Đáp án: {'\n' + correct_answer}</Text>
      )}
    </View>
  );
};

const width = Dimensions.get('screen').width * 0.5;
const styles = StyleSheet.create({
  configView: {
    width: width,
    justifyContent: 'center',
    alignItems: 'center',
  },
  textInput: {
    width: width,
    color: 'black',
    fontSize: 18,
    minHeight: 100,
    lineHeight: 26,
    // minHeight: 50,
    // borderColor: 'gray',
    // borderWidth: 1,
    backgroundColor: '#F0F4F9',
    borderRadius: 10,
    padding: 16,
  },
  textAnswer: {
    color: 'red',
    fontSize: 18,
    lineHeight: 28,
    marginTop: 50,
  },
});
