import * as actions from '../actions';

export const initialState = {
  loading: null,
  data: null,
  error: null,
};

export default (state = initialState, action) => {
  const {type, payload} = action;
  switch (type) {
    case actions.REQUEST_DATA_QUESTIONS_LOADING: {
      return {
        ...state,
        loading: true,
      };
    }
    case actions.REQUEST_DATA_QUESTIONS_SUCCESS: {
      const {data} = payload;
      // console.log(20, data);
      return {
        ...state,
        loading: false,
        data,
      };
    }
    case actions.REQUEST_DATA_QUESTIONS_FAIL: {
      let {message} = payload;
      message = JSON.parse(message);

      return {
        ...state,
        loading: false,
        error: message.message,
      };
    }
    default:
      return state;
  }
};
