import * as actions from '../actions';

export const initialState = {
  data: [],
  user_answer: [],
};

export default (state = initialState, action) => {
  const {type, payload} = action;
  switch (type) {
    case actions.REQUEST_SUBMIT_GET_DATA: {
      const {data} = payload;
      return {
        ...state,
        data,
      };
    }
    case actions.REQUEST_SUBMIT_USES_ANSWER: {
      const {data} = payload;

      const {user_answer} = state;
      const existed = user_answer.filter(
        (obj) => obj.question_id === data.question_id,
      );

      if (existed.length === 0) {
        return {
          ...state,
          user_answer: [...user_answer, data],
        };
      }

      return {
        ...state,
        user_answer: state.user_answer.map((e) => {
          if (e.question_id !== data.question_id) {
            return e;
          }

          return data;
        }),
      };
    }

    default:
      return state;
  }
};
